#ifndef RECTANGLE_H
#define RECTANGLE_H

#include "point.h"

/*
 * Si hicieran falta, aqui podrian haber defines con constantes que los campos
 * del typdedef struct pueden tomar. O otras constantes que sean necesarias.
 */

typedef struct {
	t_point p1;
	t_point p2;
} t_rectangle;

void print_rectangle(t_rectangle r);
double calculate_area(t_rectangle r);
double calculate_perimeter(t_rectangle r);

#endif // RECTANGLE_H

